GNU Radio's IRIDIUM_TOOLKIT Package: gr::iridium::burst_downmix_impl Class Reference

GNU Radio's IRIDIUM_TOOLKIT Package

Public Member Functions | List of all members
gr::iridium::burst_downmix_impl Class Reference

`#include <burst_downmix_impl.h>`

Inheritance diagram for gr::iridium::burst_downmix_impl:
[legend]

## Public Member Functions
| burst_downmix_impl (int sample_rate, int search_depth, size_t hard_max_queue_len, const std::vector< float > &input_taps, const std::vector< float > &start_finder_taps, bool handle_multiple_frames_per_burst)
| ~burst_downmix_impl ()
size_t | get_input_queue_size ()
uint64_t | get_n_dropped_bursts ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
virtual uint64_t | get_n_dropped_bursts ()=0
virtual size_t | get_input_queue_size ()=0

## Additional Inherited Members
Public Types inherited from gr::iridium::burst_downmix
typedef boost::shared_ptr< burst_downmix > | sptr
Static Public Member Functions inherited from gr::iridium::burst_downmix
static sptr | make (int sample_rate, int search_depth, size_t hard_max_queue_len, const std::vector< float > &input_taps, const std::vector< float > &start_finder_taps, bool handle_multiple_frames_per_burst)
| Return a shared_ptr to a new instance of iridium::burst_downmix. More...

## Constructor & Destructor Documentation

## ◆ burst_downmix_impl()

gr::iridium::burst_downmix_impl::burst_downmix_impl | ( | int | sample_rate,
|  | int | search_depth,
|  | size_t | hard_max_queue_len,
|  | const std::vector< float > & | input_taps,
|  | const std::vector< float > & | start_finder_taps,
|  | bool | handle_multiple_frames_per_burst
| ) |  |

## ◆ ~burst_downmix_impl()

gr::iridium::burst_downmix_impl::~burst_downmix_impl | ( |  | ) |

## Member Function Documentation

## ◆ get_input_queue_size()

size_t gr::iridium::burst_downmix_impl::get_input_queue_size | ( |  | ) |
| virtual

Implements gr::iridium::burst_downmix.

## ◆ get_n_dropped_bursts()

uint64_t gr::iridium::burst_downmix_impl::get_n_dropped_bursts | ( |  | ) |
| virtual

Implements gr::iridium::burst_downmix.

## ◆ work()

int gr::iridium::burst_downmix_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- burst_downmix_impl.h